Page MenuHomePhabricator

Fix watchpoint check to use watchpoint ranges
ClosedPublic

Authored by ted on Nov 23 2015, 12:48 PM.

Details

Summary

Watchpoints, unlike breakpoints, have an address range. This patch changes WatchpointList::FindByAddress() to match on any address in the watchpoint range, instead of only matching on the watchpoint's base address.

Diff Detail

Event Timeline

ted updated this revision to Diff 40961.Nov 23 2015, 12:48 PM
ted retitled this revision from to Fix watchpoint check to use watchpoint ranges.
ted updated this object.
ted added a reviewer: clayborg.
ted added a subscriber: lldb-commits.
clayborg accepted this revision.Nov 30 2015, 8:33 AM
clayborg edited edge metadata.
This revision is now accepted and ready to land.Nov 30 2015, 8:33 AM
ted closed this revision.Dec 7 2015, 11:41 AM